<?php /** @var ShipX_Shipment_Model $shipment */

use InspireLabs\WooInpost\EasyPack;
use InspireLabs\WooInpost\shipx\models\shipment\ShipX_Shipment_Model;
use InspireLabs\WooInpost\shipx\models\shipment_cost\ShipX_Shipment_Cost_Model; ?>

<?php


$calculated_charge_amount
    = $calculated_charge_amount_nc
    = $cod_charge_amount
    = $fuel_charge_amount
    = $insurance_charge_amount
    = $notification_charge_amount
    = '';

if ($shipment instanceof ShipX_Shipment_Model) {
    $cost = $shipment->getInternalData()->getShipmentCost();
} else {
    $cost = null;
}

if ($cost instanceof ShipX_Shipment_Cost_Model) {
    if (true !== $cost->isError()) {
        $calculated_charge_amount    = $cost->getCalculatedChargeAmount();
        $calculated_charge_amount_nc = $cost->getCalculatedChargeAmountNonCommission();
        $cod_charge_amount           = $cost->getCodChargeAmount();
        $fuel_charge_amount          = $cost->getFuelChargeAmount();
        $insurance_charge_amount     = $cost->getInsuranceChargeAmount();
        $notification_charge_amount  = $cost->getNotificationChargeAmount();
    }
}

?>

<ul class="shipment_costs_wrapper<?php echo null === $cost ? ' hidden' : '' ?>">

    <span style="font-weight: bold"><?php _e('Shipment costs:', EasyPack::$text_domain) ?> </span>
    <li>
        <ol style="list-style-type: none">
            <li>
                <span><?php _e('Calculated charge amount:', EasyPack::$text_domain) ?></span>
                <span id="calculated_charge_amount"> <?php echo $calculated_charge_amount ?></span>
            </li>

            <li>
                <span><?php _e('Calculated charge amount (non commission):', EasyPack::$text_domain) ?></span>
                <span id="calculated_charge_amount_nc"><?php echo $calculated_charge_amount_nc ?></span>
            </li>

            <li>
                <span><?php _e('COD charge amount:', EasyPack::$text_domain) ?></span>
                <span id="cod_charge_amount"> <?php echo $cod_charge_amount ?></span>
            </li>

            <li>
                <span><?php _e('Fuel charge amount:', EasyPack::$text_domain) ?></span>
                <span id="fuel_charge_amount"> <?php echo $fuel_charge_amount ?></span>
            </li>

            <li>
                <span><?php _e('Insurance charge amount:', EasyPack::$text_domain) ?></span>
                <span id="insurance_charge_amount"> <?php echo $insurance_charge_amount ?></span>
            </li>

            <li>
                <span><?php _e('Notification charge amount:', EasyPack::$text_domain) ?></span>
                <span id="notification_charge_amount"> <?php echo $notification_charge_amount ?></span>
            </li>
        </ol>
    </li>
</ul>

